## org.eclipse.datatools.enablement.sybase.ddl
Interface ISybaseDdlConstants

All Known Subinterfaces:
  ISybaseASADdlConstants, ISybaseASEDdlConstants

All Known Implementing Classes:
  ASADdlUtils, ASAProcedureGeneralPage, ASAProcedureSourceUpdater, ASARoutineSourceUpdater, ASASourcePage, ASEDdlUtils, ASEPrivilegeDeltaDdlGenProvider, RoutineSourceUpdater, SybaseASABaseTableDeltaDdlGenProvider, SybaseASABaseViewTableDeltaDdlGenProvider, SybaseASAColumnDeltaDdlGenProvider, SybaseASADdlBuilder, SybaseASAEventDeltaDdlGenProvider, SybaseASAIndexDeltaDdlGenProvider, SybaseASATableDeltaDdlGenProvider, SybaseASECheckDeltaDdlGenProvider, SybaseASEColumnDeltaDdlGenProvider, SybaseASEConstraintDeltaDdlGenProvider, SybaseASEDdlBuilder, SybaseASEDdlGenerator, SybaseASEDefaultDeltaDdlGenProvider, SybaseASEForeignKeyDeltaDdlGenProvider, SybaseASEIndexDeltaDdlGenProvider, SybaseASEProcedureDeltaDdlProvider, SybaseASERuleDeltaDdlGenProvider, SybaseASESQLUtil, SybaseASETableDeltaDdlGenProvider, SybaseASETriggerDeltaDdlProvider, SybaseASEUniqueDeltaDdlGenProvider, SybaseASEUserDefinedTypeDeltaDdlGenProvider, SybaseDdlBuilder, SybaseDdlBuilderWrapper, SybaseDdlUtils, SybaseIndexDeltaDdlGenProvider

    public interface ISybaseDdlConstants

Field Summary
`static java.lang.String` `ALTER_PRIVILEGE`
`static java.lang.String` `ASC`
`static java.lang.String` `AT`
`static java.lang.String` `BEGIN`
`static java.lang.String` `CAST`
`static java.lang.String` `CHECKOPTION`
`static java.lang.String` `CLUSTERED`
`static java.lang.String` `COLUMN`
`static java.lang.String` `COMMENT`
`static java.lang.String` `COMMIT`
`static java.lang.String` `DATABASE`
`static java.lang.String` `DELETE_PRIVILEGE`
`static java.lang.String` `DESC`
`static java.lang.String` `END`
`static java.lang.String` `END_IF`
`static java.lang.String` `EQUAL`
`static java.lang.String` `EVENT`
`static java.lang.String` `EXEC_PRIVILEGE`
`static java.lang.String` `EXISTS`
`static java.lang.String` `EXTERNAL`
`static java.lang.String` `EXTERNAL_NAME`
`static java.lang.String` `FILE`
`static java.lang.String` `FROM`
`static java.lang.String` `GO`
`static java.lang.String` `GO_FOR`
`static java.lang.String` `GRANT`
`static java.lang.String` `IF`
`static java.lang.String` `IN`
`static java.lang.String` `INOUT`
`static java.lang.String` `INSERT_PRIVILEGE`
`static java.lang.String` `IS`
`static java.lang.String` `JAVA`
`static java.lang.String` `LOCATOR`
`static java.lang.String` `LOG`
`static java.lang.String` `MESSAGE`
`static java.lang.String` `NONCLUSTERED`
`static java.lang.String` `OUT`
`static java.lang.String` `OUTPUT`
`static java.lang.String` `REFERENCE_PRIVILEGE`
`static java.lang.String` `REFERENCES_PRIVILEGE`
`static java.lang.String` `REMOVE`
`static java.lang.String` `RENAME`
`static java.lang.String` `REVOKE`
`static java.lang.String` `SELECT_PRIVILEGE`
`static java.lang.String` `SEMICOLUMN`
`static java.lang.String` `SP_RENAME`
`static java.lang.String` `THEN`
`static java.lang.String` `TO`
`static java.lang.String` `UPDATE_PRIVILEGE`
`static java.lang.String` `WITH_GRANT_OPTION`
`static java.lang.String` `WITH_RECOMPILE`

Field Detail

### IN

    static final java.lang.String IN

See Also:
  Constant Field Values

### OUT

    static final java.lang.String OUT

See Also:
  Constant Field Values

### INOUT

    static final java.lang.String INOUT

See Also:
  Constant Field Values

### OUTPUT

    static final java.lang.String OUTPUT

See Also:
  Constant Field Values

### FROM

    static final java.lang.String FROM

See Also:
  Constant Field Values

### COMMENT

    static final java.lang.String COMMENT

See Also:
  Constant Field Values

### IS

    static final java.lang.String IS

See Also:
  Constant Field Values

### COLUMN

    static final java.lang.String COLUMN

See Also:
  Constant Field Values

### EVENT

    static final java.lang.String EVENT

See Also:
  Constant Field Values

### ASC

    static final java.lang.String ASC

See Also:
  Constant Field Values

### DESC

    static final java.lang.String DESC

See Also:
  Constant Field Values

### EQUAL

    static final java.lang.String EQUAL

See Also:
  Constant Field Values

### CLUSTERED

    static final java.lang.String CLUSTERED

See Also:
  Constant Field Values

### NONCLUSTERED

    static final java.lang.String NONCLUSTERED

See Also:
  Constant Field Values

### AT

    static final java.lang.String AT

See Also:
  Constant Field Values

### FILE

    static final java.lang.String FILE

See Also:
  Constant Field Values

### REMOVE

    static final java.lang.String REMOVE

See Also:
  Constant Field Values

### CHECKOPTION

    static final java.lang.String CHECKOPTION

See Also:
  Constant Field Values

### CAST

    static final java.lang.String CAST

See Also:
  Constant Field Values

### LOCATOR

    static final java.lang.String LOCATOR

See Also:
  Constant Field Values

### EXTERNAL

    static final java.lang.String EXTERNAL

See Also:
  Constant Field Values

### COMMIT

    static final java.lang.String COMMIT

See Also:
  Constant Field Values

### BEGIN

    static final java.lang.String BEGIN

See Also:
  Constant Field Values

### END

    static final java.lang.String END

See Also:
  Constant Field Values

### THEN

    static final java.lang.String THEN

See Also:
  Constant Field Values

### END_IF

    static final java.lang.String END_IF

See Also:
  Constant Field Values

### WITH_RECOMPILE

    static final java.lang.String WITH_RECOMPILE

See Also:
  Constant Field Values

### EXTERNAL_NAME

    static final java.lang.String EXTERNAL_NAME

See Also:
  Constant Field Values

### JAVA

    static final java.lang.String JAVA

See Also:
  Constant Field Values

### DATABASE

    static final java.lang.String DATABASE

See Also:
  Constant Field Values

### MESSAGE

    static final java.lang.String MESSAGE

See Also:
  Constant Field Values

### LOG

    static final java.lang.String LOG

See Also:
  Constant Field Values

### GRANT

    static final java.lang.String GRANT

See Also:
  Constant Field Values

### SELECT_PRIVILEGE

    static final java.lang.String SELECT_PRIVILEGE

See Also:
  Constant Field Values

### INSERT_PRIVILEGE

    static final java.lang.String INSERT_PRIVILEGE

See Also:
  Constant Field Values

### UPDATE_PRIVILEGE

    static final java.lang.String UPDATE_PRIVILEGE

See Also:
  Constant Field Values

### DELETE_PRIVILEGE

    static final java.lang.String DELETE_PRIVILEGE

See Also:
  Constant Field Values

### ALTER_PRIVILEGE

    static final java.lang.String ALTER_PRIVILEGE

See Also:
  Constant Field Values

### REFERENCES_PRIVILEGE

    static final java.lang.String REFERENCES_PRIVILEGE

See Also:
  Constant Field Values

### REFERENCE_PRIVILEGE

    static final java.lang.String REFERENCE_PRIVILEGE

See Also:
  Constant Field Values

### EXEC_PRIVILEGE

    static final java.lang.String EXEC_PRIVILEGE

See Also:
  Constant Field Values

### TO

    static final java.lang.String TO

See Also:
  Constant Field Values

### WITH_GRANT_OPTION

    static final java.lang.String WITH_GRANT_OPTION

See Also:
  Constant Field Values

### REVOKE

    static final java.lang.String REVOKE

See Also:
  Constant Field Values

### GO_FOR

    static final java.lang.String GO_FOR

See Also:
  Constant Field Values

### GO

    static final java.lang.String GO

See Also:
  Constant Field Values

### SEMICOLUMN

    static final java.lang.String SEMICOLUMN

See Also:
  Constant Field Values

### SP_RENAME

    static final java.lang.String SP_RENAME

See Also:
  Constant Field Values

### RENAME

    static final java.lang.String RENAME

See Also:
  Constant Field Values

### IF

    static final java.lang.String IF

See Also:
  Constant Field Values

### EXISTS

    static final java.lang.String EXISTS

See Also:
  Constant Field Values